;+
; NAME:
;	NUMERICTYPE
; PURPOSE:
;	Test if argument is of a numeric data type.
; CALLING SEQUENCE:
;	Result = NUMERICTYPE( X )
; INPUTS:
;	X = Any variable.
; OUTPUTS:
;	Result = Boolean byte. True if X is of a numeric data type, else false.
; PROCEDURE:
;	Calls DATATYPE.
; MODIFICATION HISTORY:
;	Ian Grant, HIA/NRCC, 28 Aug 1991, IDL2.
;	IFG, 23 Dec 1992: Added ON_ERROR.
;-

function numerictype, x

on_error, 2
return, in(datatype(x), ['BYT','INT','LON','FLO','DOU','COM'])
end
