;+
; NAME:  MINMAX
; PURPOSE:  find min and max ignoring fills (> 99990.)
; CATEGORY: MARIA utility
; CALLING SEQUENCE: MINMAX,X,XMIN,XMAX
; INPUTS: X = data array, XMIN, XMAX = result
; OPTIONAL INPUT PARAMETERS:
; KEYWORD PARAMETERS:
; OUTPUTS:
; OPTIONAL OUTPUT PARAMETERS:
; COMMON BLOCKS:
; SIDE EFFECTS:
; RESTRICTIONS:
; PROCEDURE:
; MODIFICATION HISTORY: HUGHES
;-
PRO MINMAX,X,XMIN,XMAX
;      +----------------------------------------------------------+
;      | procedure to  find  extrema  of  a  vector  where  fills |
;      | (99990.) may exist                                       |
;      +----------------------------------------------------------+
fill=99990.
a=where(x lt fill)
if a(0) ne -1 then begin
   xmin=min(x(a))
   xmax=max(x(a))
endif else begin
   xmin=0.0
   xmax=0.0
endelse
return
end

